--NPC--
necromancer1 = obj {	--злой некромант
	var {
		greeted = false;
		_pos = 10;	--позиция врага
		_hp_b = 50; 
		_hp = 50;
		_stm_b = 10;
		_stm = 10;
		_enj_b = 50;
		_enj = 50;
		_str = 5;
		_agi = 5;
		_ac = 5;
	};
	nam = 'Агохай',
	dsc = function(s)
		if (s._hp <= 0) then
			return ('{Агохай} лежит на полу в луже крови.');
		elseif s.greeted then
			return ('Передо мной стоит {Агохай}.');
		else
			return ('Надо мной склонился мертвецки бледный {человек}.');
		end;
	end;
	act = function(s)
		if (s._hp <= 0) then
			pn ('Некромант мертв. Я отомстил за свою смерть.');
			remove(s, here());
			walkin('good_ending');
		else
			walkin('necrom1_dlg');	
		end;
	end;
	
};

innkeeper = obj {
	nam = 'Трактирщик';
	dsc = 'За барной стойкой стоит {трактирщик}.';
	act = code [[walkin('inn_dlg')]];
};

necromancer2 = obj {
	var {
		greeted = false;
		_pos = 10;	--позиция врага
		_hp_b = 50; 
		_hp = 50;
		_stm_b = 10;
		_stm = 10;
		_enj_b = 50;
		_enj = 50;
		_str = 5;
		_agi = 5;
		_ac = 5;
	};
	nam = 'Эрумаан',
	dsc = function(s)
		if (s._hp <= 0) then
			return ('{Эрумаан} лежит на полу в луже крови.');
		elseif s.greeted then
			return ('За столом сидит {Эрумаан}.');
		else
			return ('{Старый некромант} склонился над ретортами.');
		end;
	end;
	act = function(s)
		if (s._hp <= 0) then
			pn ('Некромант мертв. Я отомстил за свою смерть.');
			remove(s, here());
			walkin('bad_ending');
		else
			walkin('necrom2_dlg');	
		end;
	end;
};
